<?php

use Symfony\Component\Translation\MessageCatalogue;

$catalogue = new MessageCatalogue('en', array (
  'validators' => 
  array (
    'This value should be false.' => 'This value should be false.',
    'This value should be true.' => 'This value should be true.',
    'This value should be of type {{ type }}.' => 'This value should be of type {{ type }}.',
    'This value should be blank.' => 'This value should be blank.',
    'The value you selected is not a valid choice.' => 'The value you selected is not a valid choice.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.',
    'One or more of the given values is invalid.' => 'One or more of the given values is invalid.',
    'This field was not expected.' => 'This field was not expected.',
    'This field is missing.' => 'This field is missing.',
    'This value is not a valid date.' => 'This value is not a valid date.',
    'This value is not a valid datetime.' => 'This value is not a valid datetime.',
    'This value is not a valid email address.' => 'This value is not a valid email address.',
    'The file could not be found.' => 'The file could not be found.',
    'The file is not readable.' => 'The file is not readable.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.',
    'This value should be {{ limit }} or less.' => 'This value should be {{ limit }} or less.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.',
    'This value should be {{ limit }} or more.' => 'This value should be {{ limit }} or more.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.',
    'This value should not be blank.' => 'This value should not be blank.',
    'This value should not be null.' => 'This value should not be null.',
    'This value should be null.' => 'This value should be null.',
    'This value is not valid.' => 'This value is not valid.',
    'This value is not a valid time.' => 'This value is not a valid time.',
    'This value is not a valid URL.' => 'This value is not a valid URL.',
    'The two values should be equal.' => 'The two values should be equal.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'The file is too large.',
    'The file could not be uploaded.' => 'The file could not be uploaded.',
    'This value should be a valid number.' => 'This value should be a valid number.',
    'This file is not a valid image.' => 'This file is not a valid image.',
    'This is not a valid IP address.' => 'This is not a valid IP address.',
    'This value is not a valid language.' => 'This value is not a valid language.',
    'This value is not a valid locale.' => 'This value is not a valid locale.',
    'This value is not a valid country.' => 'This value is not a valid country.',
    'This value is already used.' => 'This value is already used.',
    'The size of the image could not be detected.' => 'The size of the image could not be detected.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'This value should be the user\'s current password.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.',
    'The file was only partially uploaded.' => 'The file was only partially uploaded.',
    'No file was uploaded.' => 'No file was uploaded.',
    'No temporary folder was configured in php.ini.' => 'No temporary folder was configured in php.ini, or the configured folder does not exist.',
    'Cannot write temporary file to disk.' => 'Cannot write temporary file to disk.',
    'A PHP extension caused the upload to fail.' => 'A PHP extension caused the upload to fail.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.',
    'Invalid card number.' => 'Invalid card number.',
    'Unsupported card type or invalid card number.' => 'Unsupported card type or invalid card number.',
    'This is not a valid International Bank Account Number (IBAN).' => 'This is not a valid International Bank Account Number (IBAN).',
    'This value is not a valid ISBN-10.' => 'This value is not a valid ISBN-10.',
    'This value is not a valid ISBN-13.' => 'This value is not a valid ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'This value is neither a valid ISBN-10 nor a valid ISBN-13.',
    'This value is not a valid ISSN.' => 'This value is not a valid ISSN.',
    'This value is not a valid currency.' => 'This value is not a valid currency.',
    'This value should be equal to {{ compared_value }}.' => 'This value should be equal to {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'This value should be greater than {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'This value should be greater than or equal to {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should be identical to {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'This value should be less than {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'This value should be less than or equal to {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'This value should not be equal to {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'The host could not be resolved.' => 'The host could not be resolved.',
    'This value does not match the expected {{ charset }} charset.' => 'This value does not match the expected {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).' => 'This is not a valid Business Identifier Code (BIC).',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'This is not a valid UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'This value should be a multiple of {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'This value should be valid JSON.',
    'This collection should contain only unique elements.' => 'This collection should contain only unique elements.',
    'This value should be positive.' => 'This value should be positive.',
    'This value should be either positive or zero.' => 'This value should be either positive or zero.',
    'This value should be negative.' => 'This value should be negative.',
    'This value should be either negative or zero.' => 'This value should be either negative or zero.',
    'This value is not a valid timezone.' => 'This value is not a valid timezone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'This password has been leaked in a data breach, it must not be used. Please use another password.',
    'This value should be between {{ min }} and {{ max }}.' => 'This value should be between {{ min }} and {{ max }}.',
    'This value is not a valid hostname.' => 'This value is not a valid hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'The number of elements in this collection should be a multiple of {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'This value should satisfy at least one of the following constraints:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Each element of this collection should satisfy its own set of constraints.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'This value is not a valid International Securities Identification Number (ISIN).',
    'This value should be a valid expression.' => 'This value should be a valid expression.',
    'This value is not a valid CSS color.' => 'This value is not a valid CSS color.',
    'This value is not a valid CIDR notation.' => 'This value is not a valid CIDR notation.',
    'The value of the netmask should be between {{ min }} and {{ max }}.' => 'The value of the netmask should be between {{ min }} and {{ max }}.',
    'This form should not contain extra fields.' => 'This form should not contain extra fields.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'The uploaded file was too large. Please try to upload a smaller file.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'The CSRF token is invalid. Please try to resubmit the form.',
    'This value is not a valid HTML5 color.' => 'This value is not a valid HTML5 color.',
    'Please enter a valid birthdate.' => 'Please enter a valid birthdate.',
    'The selected choice is invalid.' => 'The selected choice is invalid.',
    'The collection is invalid.' => 'The collection is invalid.',
    'Please select a valid color.' => 'Please select a valid color.',
    'Please select a valid country.' => 'Please select a valid country.',
    'Please select a valid currency.' => 'Please select a valid currency.',
    'Please choose a valid date interval.' => 'Please choose a valid date interval.',
    'Please enter a valid date and time.' => 'Please enter a valid date and time.',
    'Please enter a valid date.' => 'Please enter a valid date.',
    'Please select a valid file.' => 'Please select a valid file.',
    'The hidden field is invalid.' => 'The hidden field is invalid.',
    'Please enter an integer.' => 'Please enter an integer.',
    'Please select a valid language.' => 'Please select a valid language.',
    'Please select a valid locale.' => 'Please select a valid locale.',
    'Please enter a valid money amount.' => 'Please enter a valid money amount.',
    'Please enter a number.' => 'Please enter a number.',
    'The password is invalid.' => 'The password is invalid.',
    'Please enter a percentage value.' => 'Please enter a percentage value.',
    'The values do not match.' => 'The values do not match.',
    'Please enter a valid time.' => 'Please enter a valid time.',
    'Please select a valid timezone.' => 'Please select a valid timezone.',
    'Please enter a valid URL.' => 'Please enter a valid URL.',
    'Please enter a valid search term.' => 'Please enter a valid search term.',
    'Please provide a valid phone number.' => 'Please provide a valid phone number.',
    'The checkbox has an invalid value.' => 'The checkbox has an invalid value.',
    'Please enter a valid email address.' => 'Please enter a valid email address.',
    'Please select a valid option.' => 'Please select a valid option.',
    'Please select a valid range.' => 'Please select a valid range.',
    'Please enter a valid week.' => 'Please enter a valid week.',
    'At least one team leader must be assigned to the team.' => 'At least one team leader must be assigned to the team.',
    'The entered passwords don\'t match.' => 'The entered passwords don\'t match.',
    'The email is already used.' => 'The email is already used.',
    'The username is already used.' => 'The username is already used.',
    'An equal username is already used.' => 'An equal username is already used.',
    'An equal email is already used.' => 'An equal email is already used.',
    'This value is not a valid role.' => 'This value is not a valid role.',
    'End date must not be earlier then start date.' => 'The end date must not be before the start date.',
    'The begin date cannot be in the future.' => 'The begin date cannot be in the future.',
    'Duration cannot be zero.' => 'An empty duration is not allowed.',
    'You must select at least one user or team.' => 'You must select at least one user or team.',
    'This invoice document cannot be used, please rename the file and upload it again.' => 'This invoice document cannot be used. Please rename the file and upload it again.',
    'This period is locked, please choose a later date.' => 'This period is locked. Please choose a later date.',
    'You already have an entry for this time.' => 'You already have an entry for this time.',
    'The given value is not a valid time.' => 'The given value is not a valid time.',
    'The budget is completely used.' => 'The budget is used up. Of the available %budget%, %used% has been booked so far, %free% can still be used.',
    'Sorry, the budget is used up.' => 'Sorry, the budget is used up.',
    'Maximum duration of {{ value }} hours exceeded.' => 'Maximum {{ value }} hours allowed.',
    'An activity needs to be selected.' => 'An activity needs to be selected.',
    'A project needs to be selected.' => 'A project needs to be selected.',
    'This timesheet is already exported.' => 'This timesheet is already exported.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'An authentication exception occurred.',
    'Authentication credentials could not be found.' => 'Authentication credentials could not be found.',
    'Authentication request could not be processed due to a system problem.' => 'Authentication request could not be processed due to a system problem.',
    'Invalid credentials.' => 'Invalid credentials.',
    'Cookie has already been used by someone else.' => 'Cookie has already been used by someone else.',
    'Not privileged to request the resource.' => 'Not privileged to request the resource.',
    'Invalid CSRF token.' => 'Invalid CSRF token.',
    'No authentication provider found to support the authentication token.' => 'No authentication provider found to support the authentication token.',
    'No session available, it either timed out or cookies are not enabled.' => 'No session available, it either timed out or cookies are not enabled.',
    'No token could be found.' => 'No token could be found.',
    'Username could not be found.' => 'Username could not be found.',
    'Account has expired.' => 'Account has expired.',
    'Credentials have expired.' => 'Credentials have expired.',
    'Account is disabled.' => 'Account is disabled.',
    'Account is locked.' => 'Account is locked.',
    'Too many failed login attempts, please try again later.' => 'Too many failed login attempts, please try again later.',
    'Invalid or expired login link.' => 'Invalid or expired login link.',
    'Too many failed login attempts, please try again in %minutes% minute.' => 'Too many failed login attempts, please try again in %minutes% minute.',
    'Too many failed login attempts, please try again in %minutes% minutes.' => 'Too many failed login attempts, please try again in %minutes% minutes.',
  ),
  'AdminLTEBundle' => 
  array (
    'Toggle navigation' => 'Toggle navigation',
    'Remember Me' => 'Remember Me',
    'Sign in to start your session' => 'Login',
    'Sign In' => 'Login',
    'Sign out' => 'Logout',
    'Register' => 'Register',
    'Profile' => 'Your profile',
    'Member since %date%' => 'Member since %date%',
    'Username' => 'Username',
    'Username or email address' => 'Username or email address',
    'Password' => 'Password',
    'Show homepage' => 'Show homepage',
    'Back to login' => 'Back to login',
    'Reset your password' => 'Reset your password',
    'I forgot my password' => 'I forgot my password',
    'Register a new account' => 'Register a new account',
    'View all' => 'View all',
    'You have %count% notifications' => 'You have 1 notification|You have %count% notifications',
    'You have %count% messages' => 'You have 1 message|You have %count% messages',
    'You have %count% tasks' => 'You have 1 task|You have %count% tasks',
    '%progress%% Complete' => '%progress%% completed',
    'This is a mandatory field' => 'This is a mandatory field',
    'registration.confirmed' => 'Congratulations %username%, your account is now activated.',
  ),
  'about' => 
  array (
    'about.title' => 'About Kimai',
    'support' => 'Support',
    'website' => 'Homepage',
    'help' => 'Documentation',
    'donate' => 'Donate for the future of Kimai',
    'published_under' => '%kimai% is published under',
    'special_thanks' => 'Special thanks go to …',
    'library_authors' => '… the authors of the following software-libraries, Kimai wouldn\'t be possible without you 👍',
  ),
  'actions' => 
  array (
    'stop' => 'Stop',
    'back' => 'Back',
    'edit' => 'Edit',
    'trash' => 'Delete',
    'report' => 'Report',
    'repeat' => 'Start again',
    'profile-stats' => 'Profile',
    'settings' => 'Preferences',
    'timesheet.filter' => 'Filter timesheets',
    'customer.filter' => 'Filter customers',
    'project.filter' => 'Filter projects',
    'activity.filter' => 'Filter activities',
    'copy' => 'Create copy',
    'home' => 'Homepage',
    'create-project' => 'Create project',
    'create-activity' => 'Create activity',
    'create-timesheet' => 'Create timesheet',
    'create-timesheet-multiuser' => 'For multiple users',
    'permissions' => 'Team permissions',
    'details' => 'Show',
    'download' => 'Download',
    'invoice.pending' => 'Waiting for payment',
    'invoice.paid' => 'Invoice paid',
    'invoice.cancel' => 'Cancel invoice',
    'filter' => 'Filter data',
  ),
  'daterangepicker' => 
  array (
    'daterangepicker.today' => 'Today',
    'daterangepicker.yesterday' => 'Yesterday',
    'daterangepicker.lastWeek' => 'Last week',
    'daterangepicker.thisWeek' => 'This week',
    'daterangepicker.lastMonth' => 'Last month',
    'daterangepicker.thisMonth' => 'This month',
    'daterangepicker.lastYear' => 'Last year',
    'daterangepicker.thisYear' => 'This year',
    'daterangepicker.customRange' => 'Custom range',
  ),
  'email' => 
  array (
    'button_copy_url_to_browser' => 'If the button doesn\'t work, please copy & paste the following URL to your browser: %url%',
    'automated_email_dont_answer' => 'This is an auto generated e-mail. Please do not reply, the address will not be read.',
    'registration.subject' => 'Activate your account',
    'registration.title' => 'Welcome %username%',
    'registration.button' => 'Activate your account',
    'registration.intro' => 'You signed up at the Kimai time-tracker with the email %email%. Please activate your account in the next few hours, before the link expires.',
    'reset.subject' => 'Reset your password',
    'reset.title' => 'That can happen …',
    'reset.button' => 'Reset your password',
    'reset.intro' => '… so you forgot your password? Don\'t worry: Kimai will help you to create a new one:',
  ),
  'exceptions' => 
  array (
    'access.denied' => 'Access was denied',
    'stacktrace' => 'The problem occured here',
    'http_error.title' => 'Error',
    'http_error.description' => 'Something is wrong',
    'http_error.suggestion' => '
                    A critical error occurred, please try again.
                    You may have found a software problem, please contact your administrator if the problem persists.
                ',
    'http_error_404.description' => 'Page not found',
    'http_error_404.suggestion' => '
                    We could not find the page you were looking for.
                    Please return to your dashboard and start over.
                ',
    'http_error_403.description' => 'Page is restricted',
    'http_error_403.suggestion' => '
                    Sorry, but you don\'t have sufficient permissions to see this page.
                    Please talk to your administrator if you think this is an error.
                ',
  ),
  'export' => 
  array (
    'default.pdf.twig' => 'Default',
    'default-budget.pdf.twig' => 'With remaining budget',
    'default-internal.pdf.twig' => 'With internal rates',
    'timesheet.pdf.twig' => 'Timesheet',
  ),
  'flashmessages' => 
  array (
    'warning' => 'Warning',
    'timesheet.stop.success' => 'Time recording was stopped',
    'timesheet.stop.error' => 'Time recording could not be stopped',
    'timesheet.start.success' => 'Time recording was started',
    'timesheet.start.error' => 'Time recording could not be started',
    'timesheet.start.exceeded_limit' => 'The limit of active time records has been reached. Please stop at least one running time measurement first.',
    'timesheet.locked.warning' => 'You are editing an exported record',
    'action.update.success' => 'Saved changes',
    'action.update.error' => 'Changes could not be saved: %reason%',
    'action.delete.success' => 'Entry was deleted',
    'action.delete.error' => 'Entry could not be deleted: %reason%',
    'invoice.first_template' => 'Please create an invoice template first',
    'action.upload.error' => 'The file could not be uploaded or saved: %reason%',
    'action.csrf.error' => 'The action could not be performed: invalid security token.',
  ),
  'invoice-calculator' => 
  array (
    'label.invoice_calculator' => 'Sum calculation',
    'default' => 'Default: one entry per time record',
    'short' => 'Hours: records summed up, one entry total',
    'user' => 'User: one entry per user',
    'activity' => 'Activity: one entry per activity',
    'project' => 'Project: one entry per project',
    'date' => 'Date: one entry per day (uses start date)',
    'weekly' => 'Weekly: one entry per week (uses start date)',
    'price' => 'Price: one entry per price',
  ),
  'invoice-numbergenerator' => 
  array (
    'label.invoice_number_generator' => 'Invoicenumber-Generator',
    'date' => 'Date',
    'default' => 'Configured format',
  ),
  'invoice-renderer' => 
  array (
    'label.invoice_renderer' => 'Invoice document',
    'help.upload' => 'Attention: existing files will be overwritten. Allowed file types are: DOCX, ODS, XLSX.',
    'programmatic' => 'For further processing',
    'Html' => 'HTML (for printing via Browser)',
    'Docx' => 'Microsoft Word (DOCX)',
    'Xls' => 'Microsoft Excel (XLS)',
    'Ods' => 'Open Office (ODS - Spreadsheet)',
    'Xlsx' => 'Microsoft Excel (XLSX)',
    'Pdf' => 'PDF',
    'default' => 'Invoice',
    'default-pdf' => 'Invoice',
    'xml' => 'XML',
    'javascript' => 'JSON',
    'text' => 'Text',
    'timesheet' => 'Timesheet',
    'freelancer' => 'Single service date',
    'open-spreadsheet' => 'Invoice',
    'spreadsheet' => 'Invoice',
    'company' => 'Invoice',
  ),
  'messages' => 
  array (
    'time_tracking' => 'Time Tracking',
    'yes' => 'Yes',
    'no' => 'No',
    'both' => 'Both',
    'automatic' => 'Automatic',
    'This is a mandatory field' => 'Mandatory',
    'create' => 'Create',
    'confirm.delete' => 'Do you really want to delete it?',
    'admin_entity.delete_confirm' => 'This data will be deleted as well! Alternatively, you can select an entry to which all data will be transferred:',
    'delete.not_in_use' => 'This item can be safely deleted.',
    'cancel' => 'Cancel',
    'confirm' => 'Confirm',
    'upload' => 'Upload',
    'search' => 'Search',
    'label.searchTerm' => 'Search term',
    'label.set_as_default' => 'Save setting as search favourite',
    'label.remove_default' => 'Delete search favourite',
    'label.asc' => 'Ascending',
    'label.desc' => 'Descending',
    'label.orderBy' => 'Order by',
    'my.profile' => 'My profile',
    'update_multiple' => '%action% %count% entries?',
    'attachments' => 'Files',
    'file' => 'File',
    'rates.empty' => 'No hourly rates have yet been configured.',
    'rates.title' => 'Fees',
    'sum.total' => 'Total',
    'modal.dirty' => 'The form has changed. Please click "Save" to save the changes or "Close" to cancel.',
    'label.choice_pattern' => 'Display of entries in selection lists',
    'label.password' => 'Password',
    'label.password_repeat' => 'Repeat password',
    'label.logout' => 'Logout',
    'label.user_profile' => 'My profile',
    'label.api_token' => 'API password',
    'label.api_token_repeat' => 'Repeat API password',
    'login_required' => 'Missing permission. Redirect to login?',
    'registration.check_email' => 'An email has been sent to %email%. It contains an activation link you must click to activate your account.',
    'resetting.check_email' => 'An email has been sent. It contains a link you must click to reset your password. Note: You can only request a new password once within %tokenLifetime% hours. If you don\'t get an email check your spam folder or try again.',
    'menu.homepage' => 'Dashboard',
    'menu.admin' => 'Administration',
    'menu.system' => 'System',
    'menu.logout' => 'Logout',
    'menu.timesheet' => 'My times',
    'menu.export' => 'Export',
    'menu.reporting' => 'Reporting',
    'menu.admin_timesheet' => 'Timesheets',
    'customers' => 'Customers',
    'projects' => 'Projects',
    'activities' => 'Activities',
    'users' => 'Users',
    'menu.admin_team' => 'Teams',
    'menu.plugin' => 'Plugins',
    'menu.system_configuration' => 'Settings',
    'tags' => 'Tags',
    'menu.doctor' => 'Doctor',
    'error.no_entries_found' => 'No entries were found based on your selected filters.',
    'error.no_comments_found' => 'There were no comments posted yet.',
    'error.too_many_entries' => 'The request could not be processed. Too many results were found.',
    'error.directory_missing' => 'The directory “%dir%” does not exist and could not be created.',
    'error.directory_protected' => 'Directory "%dir%" is write protected.',
    'label.date' => 'Date',
    'label.starttime' => 'Begin',
    'label.endtime' => 'End',
    'label.duration' => 'Duration',
    'label.user' => 'User',
    'label.username' => 'User',
    'label.description' => 'Description',
    'label.invoiceText' => 'Invoice text',
    'label.name' => 'Name',
    'label.comment' => 'Comment',
    'label.id' => 'ID',
    'label.visible' => 'Visible',
    'label.budget' => 'Budget',
    'label.timeBudget' => 'Time budget',
    'label.activity' => 'Activity',
    'label.project' => 'Project',
    'label.tag' => 'Tags',
    'label.tags' => 'Tags',
    'label.hourlyRate' => 'Hourly rate',
    'label.hourly_rate' => 'Hourly rate',
    'label.skin' => 'Display: colors',
    'label.theme.layout' => 'Display: layout',
    'label.hours' => 'Hours',
    'label.rate' => 'Rate',
    'help.rate' => 'Hourly rate to be charged',
    'label.rate_internal' => 'Internal rate',
    'help.rate_internal' => 'Internal costs (if this is not specified, the normal rate is used)',
    'label.recalculate_rates' => 'Recalculate rates',
    'label.language' => 'Language',
    'label.customer' => 'Customer',
    'label.email' => 'Email',
    'label.team' => 'Team',
    'label.teamlead' => 'Teamlead',
    'label.create_more' => 'Create further entries',
    'placeholder.type_message' => 'Type your message…',
    'label.billable' => 'Billable',
    'label.actions' => 'Actions',
    'action.edit' => 'Edit',
    'action.add' => 'Add',
    'action.delete' => 'Delete',
    'action.save' => 'Save',
    'action.save_all' => 'Save all',
    'action.reset' => 'Reset',
    'action.back' => 'Back',
    'action.close' => 'Close',
    'dashboard.title' => 'Dashboard',
    'dashboard.subtitle' => 'Welcome!',
    'dashboard.all' => 'All users',
    'more.info.link' => 'More info',
    'label.toggle_dropdown' => 'Show menu',
    'label.my_teams' => 'My teams',
    'label.my_team_projects' => 'My projects',
    'label.progress' => 'Progress',
    'label.plus_more' => '+%count% more',
    'timesheet.title' => 'My times',
    'timesheet.edit' => 'Edit record',
    'label.begin' => 'From',
    'label.end' => 'To',
    'label.daterange' => 'Time range',
    'modal.columns.title' => 'Change column visibility',
    'modal.columns.description' => 'Upon saving the un-checked columns will be hidden and this setting will be stored in a browser cookie. If you delete your cookies, the settings will be reversed.',
    'label.fixedRate' => 'Fixed rate',
    'help.fixedRate' => 'Each time record gets the same value, regardless of its duration',
    'label.color' => 'Color',
    'label.replaceTags' => 'Replace tags',
    'label.appendTags' => 'Append tags',
    'profile.title' => 'User profile',
    'profile.about_me' => 'About me',
    'profile.first_entry' => 'Working since',
    'profile.registration_date' => 'Registered at',
    'profile.settings' => 'Profile',
    'profile.password' => 'Password',
    'profile.api-token' => 'API',
    'profile.roles' => 'Roles',
    'profile.teams' => 'Teams',
    'profile.preferences' => 'Preferences',
    'label.theme.collapsed_sidebar' => 'Minimize the left sidebar',
    'label.calendar.initial_view' => 'Initial calendar view',
    'label.login.initial_view' => 'Initial view after login',
    'label.lastLogin' => 'Last login',
    'month' => 'Month',
    'agendaWeek' => 'Week',
    'agendaDay' => 'Day',
    'label.timesheet.daily_stats' => 'Show daily stats in timesheet',
    'label.timesheet.export_decimal' => 'Use decimal duration in export',
    'theme.update_browser_title' => 'Update browser title',
    'calendar' => 'Calendar',
    'calendar.drag_and_drop.delete' => 'If you want to delete an entry, you must drag it onto the button.',
    'label.project_start' => 'Project start',
    'label.project_end' => 'Project end',
    'label.number' => 'Account',
    'label.company' => 'Company name',
    'label.vat' => 'Tax',
    'label.vat_id' => 'VAT-ID',
    'label.tax_rate' => 'Tax rate',
    'label.contact' => 'Contact',
    'label.address' => 'Address',
    'label.country' => 'Country',
    'label.phone' => 'Phone',
    'label.fax' => 'Fax',
    'label.mobile' => 'Mobile',
    'label.homepage' => 'Homepage',
    'label.timezone' => 'Timezone',
    'label.currency' => 'Currency',
    'label.alias' => 'Name',
    'label.title' => 'Title',
    'label.avatar' => 'Profile image (URL)',
    'label.active' => 'Active',
    'label.roles' => 'Role',
    'user_permissions.title' => 'User permissions',
    'user_role.title' => 'User role',
    'Allowed character: A-Z and _' => 'Allowed character: A-Z and _',
    'label.version' => 'Version',
    'label.required_version' => 'Compatible with',
    'ROLE_SUPER_ADMIN' => 'System-Admin',
    'ROLE_ADMIN' => 'Administrator',
    'ROLE_TEAMLEAD' => 'Teamlead',
    'ROLE_USER' => 'User',
    'stats.workingTimeToday' => 'Today, %day%',
    'stats.workingTimeWeek' => 'Calendar week %week%',
    'stats.workingTimeWeekShort' => 'Week %week%',
    'stats.workingTimeMonth' => '%month% %year%',
    'stats.workingTimeYear' => 'Full year %year%',
    'stats.workingTimeFinancialYear' => 'Financial year',
    'stats.workingTime' => 'Working time',
    'stats.revenue' => 'Revenues',
    'stats.durationToday' => 'Working hours today',
    'stats.durationWeek' => 'Working hours this week',
    'stats.durationMonth' => 'Working hours this month',
    'stats.durationYear' => 'Working hours this year',
    'stats.durationFinancialYear' => 'Working hours this financial year',
    'stats.durationTotal' => 'Working hours total',
    'stats.yourWorkingHours' => 'My working hours',
    'stats.amountToday' => 'Revenue today',
    'stats.amountWeek' => 'Revenue this week',
    'stats.amountMonth' => 'Revenue this month',
    'stats.amountYear' => 'Revenue this year',
    'stats.amountFinancialYear' => 'Revenue this financial year',
    'stats.amountTotal' => 'Total revenue',
    'stats.userActiveToday' => 'Active users today',
    'stats.userActiveWeek' => 'Active users this week',
    'stats.userActiveMonth' => 'Active users this month',
    'stats.userActiveYear' => 'Active users this year',
    'stats.userActiveFinancialYear' => 'Active users this financial year',
    'stats.userActiveTotal' => 'Active users ever',
    'stats.activeRecordings' => 'Active records',
    'stats.userTotal' => 'Users',
    'stats.activityTotal' => 'Activities',
    'stats.projectTotal' => 'Projects',
    'stats.customerTotal' => 'Customers',
    'stats.percentUsed' => '%percent%% used',
    'stats.percentUsedLeft' => '%percent%% used (%left% are still open)',
    'stats.percentUsed_month' => '%percent%% used this month',
    'stats.percentUsedLeft_month' => '%percent%% used (%left% are still open this month)',
    'admin_invoice_template.title' => 'Invoice template',
    'invoices' => 'Invoices',
    'invoice.filter' => 'Filter invoice data',
    'button.preview' => 'Preview',
    'button.preview_print' => 'Print preview',
    'button.print' => 'Print',
    'button.csv' => 'CSV',
    'button.xlsx' => 'Excel',
    'button.pdf' => 'PDF',
    'button.ods' => 'ODS',
    'invoice_print' => 'Invoice',
    'label.mark_as_exported' => 'Mark as exported',
    'label.template' => 'Template',
    'label.due_days' => 'Payment term in days',
    'invoice.due_days' => 'Payment target',
    'invoice.payment_date' => 'Payment date',
    'invoice.from' => 'From',
    'invoice.to' => 'To',
    'invoice.number' => 'Invoice number',
    'invoice.subtotal' => 'Subtotal',
    'invoice.tax' => 'Tax',
    'invoice.total' => 'Total',
    'invoice.service_date' => 'Service date',
    'label.amount' => 'Quantity',
    'label.total_rate' => 'Total price',
    'label.unit_price' => 'Unit price',
    'label.payment_terms' => 'Terms of payment',
    'invoice.signature_user' => 'Confirmation: Date / Consultant\'s name / Signature',
    'invoice.signature_customer' => 'Confirmation: Date / Customer\'s name / Signature',
    'invoice.total_working_time' => 'Total duration',
    'label.orderNumber' => 'Order number',
    'label.orderDate' => 'Order date',
    'label.invoice_tax_number' => 'VAT no.:',
    'label.invoice_bank_account' => 'Bank account',
    'label.decimalDuration' => 'Display duration as decimal number',
    'label.status' => 'Status',
    'status.new' => 'New',
    'status.pending' => 'Pending',
    'status.paid' => 'Paid',
    'status.canceled' => 'Canceled',
    'preview.skipped_rows' => 'Skipped preview of %rows% more rows …',
    'export.title' => 'Export',
    'export.filter' => 'Filter data for export',
    'export.period' => 'Period',
    'export.document_title' => 'Export of timesheets',
    'export.full_list' => 'Full list',
    'export.summary' => 'Summary',
    'export.page_of' => 'Page %page% of %pages%',
    'export.date_copyright' => 'Created %date% with %kimai%',
    'export.warn_result_amount' => 'Your search leads to %count% results. If the export fails, you have to narrow down your search further.',
    'label.type' => 'Type',
    'active.entries' => 'Your active time measurements',
    'timesheet.all' => 'Show all records',
    'recent.activities' => 'Restart one of your last activities',
    'recent.activities.format' => '%activity% in %project% for %customer%',
    'timesheet.start' => 'Create new time-record',
    'label.pageSize' => 'Page size',
    'label.entryState' => 'Records',
    'label.exported' => 'Exported',
    'entryState.exported' => 'Cleared',
    'entryState.not_exported' => 'Open',
    'entryState.all' => 'All',
    'entryState.running' => 'Active',
    'entryState.stopped' => 'Stopped',
    'export.clear_all' => 'Mark all shown records as open?',
    'export.mark_all' => 'Mark all shown records as cleared?',
    'label.globalsOnly' => 'Only global',
    'label.globalActivities' => 'Allow global activities',
    'label.batch_meta_fields' => 'Additional fields',
    'help.batch_meta_fields' => 'Fields that are to be updated must first be activated by clicking on the associated checkbox.',
    'label.includeNoWork' => 'Show entries without bookings',
    'label.includeNoBudget' => 'Show entries without budget',
    'label.includeBudgetType_month' => 'Show entries with "monthly" budget',
    'label.budgetIndependent' => 'Show regardless of "budget-type"',
    'label.includeBudgetType_full' => 'Show entries with "life cycle" budget',
    'label.not_exported' => 'Not exported',
    'label.not_invoiced' => 'Not billed',
    'label.last_record_before' => 'No time booking since',
    'label.last_record' => 'Last entry',
    'label.account_number' => 'Staff number',
    'label.budgetType' => 'Budget-Type',
    'label.budgetType_month' => 'Monthly',
    'label.budgetType_full' => 'Life cycle',
    'delete_warning.short_stats' => 'Currently %records% time-records exists, which sum up to a total duration of %duration%.',
    'add_user.label' => 'Add user',
    'team.add_user.help' => 'Add a new user to the team by selecting it from the list. Afterwards you can decide if the user should become a teamlead.',
    'default_value_new' => 'Default values for new entries',
    'quick_entry.title' => 'Weekly working hours',
    'label.hours_24' => '24 hours',
    'updated_at' => 'Updated at',
    'invoice_document.max_reached' => 'Reached maximum amount of %max% invoice documents. You can add more after removing one.',
  ),
  'plugins' => 
  array (
    'plugin.none_installed' => 'You have no plugins installed yet.',
    'plugin.marketplace' => 'Kimai marketplace',
  ),
  'reporting' => 
  array (
    'report_user_week' => 'Weekly view for one user',
    'report_user_month' => 'Monthly view for one user',
    'report_user_year' => 'Yearly view for one user',
    'report_weekly_users' => 'Weekly view for all users',
    'report_monthly_users' => 'Monthly view for all users',
    'report_yearly_users' => 'Yearly view for all users',
    'report_project_view' => 'Project overview',
    'report_project_details' => 'Project details',
    'report_project_daterange' => 'Monthly report',
    'report_inactive_project' => 'Inactive projects',
    'reporting.initial_view' => 'Initial report',
    'report_customer_monthly_projects' => 'Projects by month, activity and user',
  ),
  'system-configuration' => 
  array (
    'timesheet' => 'Time tracking',
    'theme' => 'Theme',
    'label.theme.markdown_content' => 'Allow markdown-formattings in descriptions and comments',
    'label.theme.tags_create' => 'Tags: use auto-complete search and allow tag creation',
    'label.theme.avatar_url' => 'Allow the use of URLs for avatar images',
    'label.theme.random_colors' => 'Use random colors for objects without assigned color',
    'label.timesheet.mode' => 'Timetracking mode',
    'label.timesheet.mode_default' => '[Default] start and end times can be edited',
    'label.timesheet.mode_duration_only' => '[Duration] replaces the end time with a duration input-field',
    'label.timesheet.mode_duration_fixed_begin' => '[Duration] configurable fixed start-time, only duration can be changed',
    'label.timesheet.mode_punch' => '[Time-clock] user can start and stop records, but not edit the times or duration',
    'label.timesheet.rules.allow_future_times' => 'Allow time entries in the future',
    'label.timesheet.rules.allow_zero_duration' => 'Allow time entries with an empty duration',
    'label.timesheet.rules.allow_overbooking_budget' => 'Allow overbooking of stored budgets',
    'label.timesheet.rules.allow_overlapping_records' => 'Allow overlapping time entries',
    'lockdown_period' => 'Lockdown period',
    'label.timesheet.rules.lockdown_period_timezone' => 'Time zone (if empty, time zone of the respective user is used)',
    'label.timesheet.rules.lockdown_period_start' => 'Lockdown period start (PHP relative date to now)',
    'label.timesheet.rules.lockdown_period_end' => 'Lockdown period end (PHP relative date to now)',
    'label.timesheet.rules.lockdown_grace_period' => 'Lockdown grace period end (PHP relative date to lockdown period end)',
    'label.timesheet.active_entries.hard_limit' => 'Permitted number of simultaneously running time entries',
    'label.quick_entry.recent_activities' => 'Number of entries taken over from previous weeks',
    'label.quick_entry.recent_activity_weeks' => 'Take over entries from the last X weeks (empty or 0 for all time)',
    'label.quick_entry.minimum_rows' => 'Minimum number of rows',
    'label.theme.autocomplete_chars' => 'Minimum number of letters to start auto-completion',
    'label.calendar.week_numbers' => 'Display week numbers',
    'label.calendar.weekends' => 'Display weekends',
    'label.calendar.businessHours.begin' => 'Start of normal business hours (will be highlighted)',
    'label.calendar.businessHours.end' => 'End of normal business hours (will be highlighted)',
    'label.calendar.visibleHours.begin' => 'Start of visible time range',
    'label.calendar.visibleHours.end' => 'End of visible time range',
    'label.calendar.slot_duration' => 'Slot duration for week- and day view (format: hh:mm:ss)',
    'branding' => 'My company',
    'label.theme.branding.logo' => 'Logo URL (replaces the company name in login screen)',
    'label.theme.branding.company' => 'Company name',
    'label.theme.branding.mini' => 'Mini Logo (collapsed sidebar)',
    'label.theme.branding.title' => 'Browser Title',
    'label.company.financial_year' => 'Financial year',
    'rounding' => 'Time rounding',
    'label.timesheet.rounding.default.begin' => 'Rounding of the start time in minutes (0 = deactivated)',
    'label.timesheet.rounding.default.end' => 'Rounding of the end time in minutes (0 = deactivated)',
    'label.timesheet.rounding.default.duration' => 'Rounding of the duration in minutes (0 = deactivated)',
    'label.timesheet.rounding.default.mode' => 'Rounding mode',
    'label.timesheet.rounding.default.days' => 'Days of the week when rounding will be applied',
    'Monday' => 'Monday',
    'Tuesday' => 'Tuesday',
    'Wednesday' => 'Wednesday',
    'Thursday' => 'Thursday',
    'Friday' => 'Friday',
    'Saturday' => 'Saturday',
    'Sunday' => 'Sunday',
    'Ceil' => 'Ceil: begin, end and duration will be rounded up',
    'Closest' => 'Closest: mathematical rounding to the nearest value',
    'Default' => 'Standard: begin will be rounded down, end and duration up',
    'Floor' => 'Floor: begin, end and duration will be rounded down',
    'label.timesheet.default_begin' => 'Default start-time (not used in all timetracking modes)',
    'label.simple_form' => 'Simple search',
    'label.invoice.number_format' => 'Invoice number format',
    'first_weekday' => 'First day of the week',
    'label.timesheet.duration_increment' => 'Minute selection for Duration',
    'label.timesheet.time_increment' => 'Minute selection for From & To',
    'increment_rounding' => 'Use configured value of the rounding rule',
    'off' => 'Off',
    'label.theme.colors_limited' => 'Limit color choices',
    'label.theme.color_choices' => 'Allowed colors',
    'help.theme.color_choices' => 'Comma-separated list of HTML color-codes. Color names can be set by prefixing the color code with a name and the "|" delimiter, e.g: White|#ffffff,Black|#000000.',
    'authentication' => 'Authentication',
    'label.user_auth_login' => 'Login form',
    'label.user_auth_registration' => 'User registration',
    'label.user_auth_password_reset' => 'Forgot password',
    'label.user_auth_password_reset_retry_ttl' => 'Forgotten password - seconds before a user can request the next e-mail',
    'label.user_auth_password_reset_token_ttl' => 'Forgotten password - seconds before a reset link expires',
    'label.ldap_activate' => 'LDAP login',
    'label.saml_activate' => 'SAML login',
    'label.timesheet.rules.break_warning_duration' => 'Maximum duration of a timesheet record in minutes before a "break warning" will be displayed (0 = deactivated)',
    'label.timesheet.rules.long_running_duration' => 'Maximum duration of a timesheet record in minutes before saving is rejected (0 = deactivated)',
    'label.calendar.dragdrop_amount' => 'Amount of entries for drag&drop (0 = deactivated)',
    'label.calendar.dragdrop_data' => 'Copies data when adding via drag and drop',
    'label.calendar.title_pattern' => 'Display of the titles of calendar entries',
    'label.copy_teams_on_create' => 'Take over teams from the logged-in user when creating new entries',
  ),
  'teams' => 
  array (
    'teams.title' => 'Teams',
    'teams.project_access' => 'Grant access to projects',
    'teams.customer_access' => 'Grant access to customers',
    'team.visibility_global' => 'Visible to everyone, as no team was assigned yet.',
    'team.visibility_restricted' => 'Only visible to the following teams and all admins.',
    'team.project_visibility_inherited' => 'The project has limited access, because team permissions are set for the customer.',
    'team.activity_visibility_inherited' => 'The activity has limited access, because team permissions are set for the project and/or customer.',
    'team.create_default' => 'Create a new team to limit access',
  ),
));


return $catalogue;
