<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* export/pdf-layout.html.twig */
class __TwigTemplate_5f0f57fe7bec13b6c695dadc5ddc77ee5a3ede0713b4b64b08cbfe235d892bdd extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'styles' => [$this, 'block_styles'],
            'pdf_footer' => [$this, 'block_pdf_footer'],
            'body_start' => [$this, 'block_body_start'],
            'summary' => [$this, 'block_summary'],
            'summary_header' => [$this, 'block_summary_header'],
            'title' => [$this, 'block_title'],
            'items' => [$this, 'block_items'],
            'items_header' => [$this, 'block_items_header'],
            'date_begin' => [$this, 'block_date_begin'],
            'date_end' => [$this, 'block_date_end'],
            'description' => [$this, 'block_description'],
            'body_end' => [$this, 'block_body_end'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        $context["showUserColumn"] = (($context["showUserColumn"]) ?? (true));
        // line 2
        $context["showInternalRate"] = (($context["showInternalRate"]) ?? (false));
        // line 3
        $context["showRateColumn"] = false;
        // line 4
        $context["showRateBudget"] = false;
        // line 5
        $context["showTimeBudget"] = (($context["showTimeBudget"]) ?? (false));
        // line 6
        $context["showCustomerSummary"] = (($context["showCustomerSummary"]) ?? (true));
        // line 7
        $context["showTotalSummary"] = (($context["showTotalSummary"]) ?? (true));
        // line 8
        $context["showDateTimeShort"] = (($context["showDateTimeShort"]) ?? (false));
        // line 9
        $context["now"] = $this->extensions['App\Twig\LocaleFormatExtensions']->createDate("now", twig_get_attribute($this->env, $this->source, ($context["app"] ?? null), "user", [], "any", false, false, false, 9));
        // line 10
        $context["decimal"] = (($context["decimal"]) ?? (false));
        // line 12
        if ((array_key_exists("query", $context) &&  !(null === twig_get_attribute($this->env, $this->source, ($context["query"] ?? null), "user", [], "any", false, false, false, 12)))) {
            // line 13
            echo "    ";
            $context["showUserColumn"] = false;
            // line 14
            echo "    ";
            // line 15
            echo "    ";
            $context["showRateColumn"] = $this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("view_rate_own_timesheet");
        }
        // line 17
        echo "<html";
        if ((twig_get_attribute($this->env, $this->source, ($context["app"] ?? null), "request", [], "any", true, true, false, 17) &&  !(null === twig_get_attribute($this->env, $this->source, ($context["app"] ?? null), "request", [], "any", false, false, false, 17)))) {
            echo " lang=\"";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["app"] ?? null), "request", [], "any", false, false, false, 17), "locale", [], "any", false, false, false, 17), "html", null, true);
            echo "\"";
        }
        echo ">
<head>
";
        // line 19
        $this->displayBlock('styles', $context, $blocks);
        // line 79
        echo "</head>
<body>
";
        // line 81
        $this->displayBlock('pdf_footer', $context, $blocks);
        // line 107
        $this->displayBlock('body_start', $context, $blocks);
        // line 108
        $this->displayBlock('summary', $context, $blocks);
        // line 260
        $this->displayBlock('items', $context, $blocks);
        // line 347
        $this->displayBlock('body_end', $context, $blocks);
        // line 348
        echo "</body>
</html>
";
    }

    // line 19
    public function block_styles($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 20
        echo "    <style>
        body {
            font-family: Roboto, \"Helvetica Neue\", sans-serif;
            font-size: 10pt;
            margin: 0;
            padding: 0;
        }
        p {
            margin: 0;
        }
        table.items {
            border: 0.1mm solid #000000;
            width: 100%;
            font-size: 9pt;
            border-collapse: collapse;
        }
        td, th {
            padding: 7px;
        }
        td {
            vertical-align: top;
        }
        .items td {
            border-left: 0.1mm solid #000000;
            border-right: 0.1mm solid #000000;
        }
        .items tr.even {
            background-color: #f5f5f5;
        }
        .items tr.summary {
            background-color: #efefef;
        }
        .items tr.summary td {
            font-weight: bold;
            border-top: 0.1mm solid #000000;
            border-bottom: 0.1mm solid #000000;
        }
        table thead th {
            background-color: #0277bd;
            color: #fff;
            border: 0.1mm solid #000000;
            font-weight: bold;
            font-size: 10pt;
            text-align: left;
        }
        .items td.totals {
            font-weight: bold;
            border: 0.1mm solid #000000;
        }
        .items .center,
        .items td.duration,
        .items td.cost {
            text-align: center;
        }
        .text-nowrap {
            white-space: nowrap;
        }
    </style>
";
    }

    // line 81
    public function block_pdf_footer($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 82
        echo "<!--mpdf
<htmlpagefooter name=\"myfooter\">
<table style=\"border-top: 1px solid #000000; font-size: 9pt; padding-top: 3mm; width: 100%\">
<tr>
    <td align=\"left\">
    ";
        // line 87
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("export.page_of", ["%page%" => "{PAGENO}", "%pages%" => "{nb}"]), "html", null, true);
        echo "
    ";
        // line 88
        if ((( !($context["showUserColumn"] ?? null) && array_key_exists("query", $context)) && twig_get_attribute($this->env, $this->source, ($context["query"] ?? null), "user", [], "any", false, false, false, 88))) {
            // line 89
            echo "        &ndash;
        ";
            // line 90
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.user"), "html", null, true);
            echo ": ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["query"] ?? null), "user", [], "any", false, false, false, 90), "displayName", [], "any", false, false, false, 90), "html", null, true);
            echo " ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["query"] ?? null), "user", [], "any", false, false, false, 90), "title", [], "any", false, false, false, 90), "html", null, true);
            echo "
    ";
        }
        // line 92
        echo "    </td>
    <td align=\"right\">
    ";
        // line 94
        $context["company"] = $this->extensions['App\Twig\Configuration']->get("theme.branding.company");
        // line 95
        echo "    ";
        if ( !twig_test_empty(($context["company"] ?? null))) {
            // line 96
            echo "        ";
            echo ($context["company"] ?? null);
            echo " &ndash; ";
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->dateTimeFull(($context["now"] ?? null)), "html", null, true);
            echo "
    ";
        } else {
            // line 98
            echo "        ";
            echo $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("export.date_copyright", ["%date%" => $this->extensions['App\Twig\LocaleFormatExtensions']->dateTimeFull(($context["now"] ?? null)), "%kimai%" => (((("<a href=\"" . twig_constant("App\\Constants::HOMEPAGE")) . "\">") . twig_constant("App\\Constants::SOFTWARE")) . "</a>")]);
            echo "
    ";
        }
        // line 100
        echo "    </td>
</tr>
</table>
</htmlpagefooter>
<sethtmlpagefooter name=\"myfooter\" value=\"on\" />
mpdf-->
";
    }

    // line 107
    public function block_body_start($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    // line 108
    public function block_summary($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 109
        echo "    ";
        $this->displayBlock('summary_header', $context, $blocks);
        // line 119
        echo "    <table class=\"items\">
        <thead>
        <tr>
            <th>Empresa</th>
            <th>Actividad</th>
            ";
        // line 124
        if (($context["showTimeBudget"] ?? null)) {
            // line 125
            echo "                <th class=\"center\">";
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.timeBudget"), "html", null, true);
            echo "</th>
            ";
        }
        // line 127
        echo "            ";
        if (($context["showRateBudget"] ?? null)) {
            // line 128
            echo "                <th class=\"center\">";
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.budget"), "html", null, true);
            echo "</th>
            ";
        }
        // line 130
        echo "            <th class=\"center\">";
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.duration"), "html", null, true);
        echo "</th>
            ";
        // line 131
        if (($context["showRateColumn"] ?? null)) {
            // line 132
            echo "                ";
            if (($context["showInternalRate"] ?? null)) {
                // line 133
                echo "                    <th class=\"center\">";
                echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.rate_internal"), "html", null, true);
                echo "</th>
                ";
            }
            // line 135
            echo "                <th class=\"center\">";
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.rate"), "html", null, true);
            echo "</th>
            ";
        }
        // line 137
        echo "        </tr>
        </thead>
        <tbody>
        ";
        // line 140
        $context["customer"] = null;
        // line 141
        echo "        ";
        $context["customerDuration"] = 0;
        // line 142
        echo "        ";
        $context["customerRate"] = 0;
        // line 143
        echo "        ";
        $context["customerInternalRate"] = 0;
        // line 144
        echo "        ";
        $context["customerCurrency"] = null;
        // line 145
        echo "        ";
        $context["customerCount"] = 0;
        // line 146
        echo "        ";
        $context["multiCurrency"] = false;
        // line 147
        echo "        ";
        $context["totalDuration"] = 0;
        // line 148
        echo "        ";
        $context["totalInternalRate"] = 0;
        // line 149
        echo "        ";
        $context["totalRate"] = 0;
        // line 150
        echo "        ";
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["summaries"] ?? null));
        foreach ($context['_seq'] as $context["id"] => $context["summary"]) {
            // line 151
            echo "            <!-- CONTENT_PART -->
            ";
            // line 152
            $context["totalDuration"] = (($context["totalDuration"] ?? null) + twig_get_attribute($this->env, $this->source, $context["summary"], "duration", [], "any", false, false, false, 152));
            // line 153
            echo "            ";
            $context["totalInternalRate"] = (($context["totalInternalRate"] ?? null) + twig_get_attribute($this->env, $this->source, $context["summary"], "rate_internal", [], "any", false, false, false, 153));
            // line 154
            echo "            ";
            $context["totalRate"] = (($context["totalRate"] ?? null) + twig_get_attribute($this->env, $this->source, $context["summary"], "rate", [], "any", false, false, false, 154));
            // line 155
            echo "            ";
            if (( !(null === ($context["customerCurrency"] ?? null)) &&  !(($context["customerCurrency"] ?? null) === twig_get_attribute($this->env, $this->source, $context["summary"], "currency", [], "any", false, false, false, 155)))) {
                // line 156
                echo "                ";
                $context["multiCurrency"] = true;
                // line 157
                echo "            ";
            }
            // line 158
            echo "            ";
            if ((($context["customer"] ?? null) === null)) {
                // line 159
                echo "                ";
                $context["customer"] = twig_get_attribute($this->env, $this->source, $context["summary"], "customer", [], "any", false, false, false, 159);
                // line 160
                echo "                ";
                $context["customerCurrency"] = twig_get_attribute($this->env, $this->source, $context["summary"], "currency", [], "any", false, false, false, 160);
                // line 161
                echo "            ";
            }
            // line 162
            echo "            ";
            if ( !(($context["customer"] ?? null) === twig_get_attribute($this->env, $this->source, $context["summary"], "customer", [], "any", false, false, false, 162))) {
                // line 163
                echo "                <tr class=\"summary\">
                    <td colspan=\"2\">
                    </td>
                    ";
                // line 166
                if (($context["showTimeBudget"] ?? null)) {
                    // line 167
                    echo "                        <td></td>
                    ";
                }
                // line 169
                echo "                    ";
                if (($context["showRateBudget"] ?? null)) {
                    // line 170
                    echo "                        <td></td>
                    ";
                }
                // line 172
                echo "                    <td class=\"totals duration\">";
                echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->duration(($context["customerDuration"] ?? null), ($context["decimal"] ?? null)), "html", null, true);
                echo "</td>
                    ";
                // line 173
                if (($context["showRateColumn"] ?? null)) {
                    // line 174
                    echo "                        ";
                    if (($context["showInternalRate"] ?? null)) {
                        // line 175
                        echo "                            <td class=\"totals cost\">";
                        echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(($context["customerInternalRate"] ?? null), ($context["customerCurrency"] ?? null)), "html", null, true);
                        echo "</td>
                        ";
                    }
                    // line 177
                    echo "                        <td class=\"totals cost\">";
                    echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(($context["customerRate"] ?? null), ($context["customerCurrency"] ?? null)), "html", null, true);
                    echo "</td>
                    ";
                }
                // line 179
                echo "                </tr>
                ";
                // line 180
                $context["customerCurrency"] = twig_get_attribute($this->env, $this->source, $context["summary"], "currency", [], "any", false, false, false, 180);
                // line 181
                echo "                ";
                $context["customer"] = twig_get_attribute($this->env, $this->source, $context["summary"], "customer", [], "any", false, false, false, 181);
                // line 182
                echo "                ";
                $context["customerDuration"] = 0;
                // line 183
                echo "                ";
                $context["customerRate"] = 0;
                // line 184
                echo "                ";
                $context["customerInternalRate"] = 0;
                // line 185
                echo "                ";
                $context["customerCount"] = 0;
                // line 186
                echo "            ";
            }
            // line 187
            echo "            <tr class=\"";
            echo twig_escape_filter($this->env, twig_cycle([0 => "odd", 1 => "even"], ($context["customerCount"] ?? null)), "html", null, true);
            echo "\">
                <td>";
            // line 188
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["summary"], "customer", [], "any", false, false, false, 188), "html", null, true);
            echo "</td>
                <td>";
            // line 189
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["summary"], "project", [], "any", false, false, false, 189), "html", null, true);
            echo "</td>
                ";
            // line 190
            if (($context["showTimeBudget"] ?? null)) {
                // line 191
                echo "                    <td class=\"center\">
                        ";
                // line 192
                if ((twig_get_attribute($this->env, $this->source, ($context["budgets"] ?? null), $context["id"], [], "array", true, true, false, 192) && (1 === twig_compare(twig_get_attribute($this->env, $this->source, (($__internal_compile_0 = ($context["budgets"] ?? null)) && is_array($__internal_compile_0) || $__internal_compile_0 instanceof ArrayAccess ? ($__internal_compile_0[$context["id"]] ?? null) : null), "time_left", [], "any", false, false, false, 192), 0)))) {
                    // line 193
                    echo "                            ";
                    echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->duration(twig_get_attribute($this->env, $this->source, (($__internal_compile_1 = ($context["budgets"] ?? null)) && is_array($__internal_compile_1) || $__internal_compile_1 instanceof ArrayAccess ? ($__internal_compile_1[$context["id"]] ?? null) : null), "time_left", [], "any", false, false, false, 193), ($context["decimal"] ?? null)), "html", null, true);
                    echo "
                        ";
                }
                // line 195
                echo "                    </td>
                ";
            }
            // line 197
            echo "                ";
            if (($context["showRateBudget"] ?? null)) {
                // line 198
                echo "                    <td class=\"center\">
                        ";
                // line 199
                if ((twig_get_attribute($this->env, $this->source, ($context["budgets"] ?? null), $context["id"], [], "array", true, true, false, 199) && (1 === twig_compare(twig_get_attribute($this->env, $this->source, (($__internal_compile_2 = ($context["budgets"] ?? null)) && is_array($__internal_compile_2) || $__internal_compile_2 instanceof ArrayAccess ? ($__internal_compile_2[$context["id"]] ?? null) : null), "money_left", [], "any", false, false, false, 199), 0)))) {
                    // line 200
                    echo "                            ";
                    echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(twig_get_attribute($this->env, $this->source, (($__internal_compile_3 = ($context["budgets"] ?? null)) && is_array($__internal_compile_3) || $__internal_compile_3 instanceof ArrayAccess ? ($__internal_compile_3[$context["id"]] ?? null) : null), "money_left", [], "any", false, false, false, 200), twig_get_attribute($this->env, $this->source, $context["summary"], "currency", [], "any", false, false, false, 200)), "html", null, true);
                    echo "
                        ";
                }
                // line 202
                echo "                    </td>
                ";
            }
            // line 204
            echo "                <td class=\"duration\">";
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->duration(twig_get_attribute($this->env, $this->source, $context["summary"], "duration", [], "any", false, false, false, 204), ($context["decimal"] ?? null)), "html", null, true);
            echo "</td>
                ";
            // line 205
            if (($context["showRateColumn"] ?? null)) {
                // line 206
                echo "                    ";
                if (($context["showInternalRate"] ?? null)) {
                    // line 207
                    echo "                        <td class=\"cost\">";
                    echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(twig_get_attribute($this->env, $this->source, $context["summary"], "rate_internal", [], "any", false, false, false, 207), twig_get_attribute($this->env, $this->source, $context["summary"], "currency", [], "any", false, false, false, 207)), "html", null, true);
                    echo "</td>
                    ";
                }
                // line 209
                echo "                    <td class=\"cost\">";
                echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(twig_get_attribute($this->env, $this->source, $context["summary"], "rate", [], "any", false, false, false, 209), twig_get_attribute($this->env, $this->source, $context["summary"], "currency", [], "any", false, false, false, 209)), "html", null, true);
                echo "</td>
                ";
            }
            // line 211
            echo "            </tr>
            ";
            // line 212
            $context["customerDuration"] = (($context["customerDuration"] ?? null) + twig_get_attribute($this->env, $this->source, $context["summary"], "duration", [], "any", false, false, false, 212));
            // line 213
            echo "            ";
            $context["customerRate"] = (($context["customerRate"] ?? null) + twig_get_attribute($this->env, $this->source, $context["summary"], "rate", [], "any", false, false, false, 213));
            // line 214
            echo "            ";
            $context["customerInternalRate"] = (($context["customerInternalRate"] ?? null) + twig_get_attribute($this->env, $this->source, $context["summary"], "rate_internal", [], "any", false, false, false, 214));
            // line 215
            echo "            ";
            $context["customerCount"] = (($context["customerCount"] ?? null) + 1);
            // line 216
            echo "        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['id'], $context['summary'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 217
        echo "        ";
        if ((($context["showCustomerSummary"] ?? null) &&  !(($context["customer"] ?? null) === null))) {
            // line 218
            echo "        <tr class=\"summary\">
            <td colspan=\"2\"></td>
            ";
            // line 220
            if (($context["showTimeBudget"] ?? null)) {
                // line 221
                echo "                <td></td>
            ";
            }
            // line 223
            echo "            ";
            if (($context["showRateBudget"] ?? null)) {
                // line 224
                echo "                <td></td>
            ";
            }
            // line 226
            echo "            <td class=\"totals duration\">";
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->duration(($context["customerDuration"] ?? null), ($context["decimal"] ?? null)), "html", null, true);
            echo "</td>
            ";
            // line 227
            if (($context["showRateColumn"] ?? null)) {
                // line 228
                echo "                ";
                if (($context["showInternalRate"] ?? null)) {
                    // line 229
                    echo "                    <td class=\"totals cost\">";
                    echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(($context["customerInternalRate"] ?? null), ($context["customerCurrency"] ?? null)), "html", null, true);
                    echo "</td>
                ";
                }
                // line 231
                echo "                <td class=\"totals cost\">";
                echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(($context["customerRate"] ?? null), ($context["customerCurrency"] ?? null)), "html", null, true);
                echo "</td>
            ";
            }
            // line 233
            echo "        </tr>
        ";
        }
        // line 235
        echo "        ";
        if ((($context["showTotalSummary"] ?? null) &&  !($context["multiCurrency"] ?? null))) {
            // line 236
            echo "        <tr class=\"";
            if ( !($context["showCustomerSummary"] ?? null)) {
                echo "summary";
            } else {
                echo "summary-total";
            }
            echo "\">
            <td class=\"totals\" colspan=\"2\">
                ";
            // line 238
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("sum.total"), "html", null, true);
            echo "
            </td>
            ";
            // line 240
            if (($context["showTimeBudget"] ?? null)) {
                // line 241
                echo "                <td></td>
            ";
            }
            // line 243
            echo "            ";
            if (($context["showRateBudget"] ?? null)) {
                // line 244
                echo "                <td></td>
            ";
            }
            // line 246
            echo "            <td class=\"totals duration\">";
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->duration(($context["totalDuration"] ?? null), ($context["decimal"] ?? null)), "html", null, true);
            echo "</td>
            ";
            // line 247
            if (($context["showRateColumn"] ?? null)) {
                // line 248
                echo "                ";
                if (($context["showInternalRate"] ?? null)) {
                    // line 249
                    echo "                    <td class=\"totals cost\">";
                    echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(($context["totalInternalRate"] ?? null), ($context["customerCurrency"] ?? null)), "html", null, true);
                    echo "</td>
                ";
                }
                // line 251
                echo "                <td class=\"totals cost\">";
                echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(($context["totalRate"] ?? null), ($context["customerCurrency"] ?? null)), "html", null, true);
                echo "</td>
            ";
            }
            // line 253
            echo "        </tr>
        ";
        }
        // line 255
        echo "        </tbody>
    </table>

    <pagebreak>
";
    }

    // line 109
    public function block_summary_header($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 110
        echo "        <h2 style=\"margin-bottom: 4px; padding-bottom: 0\">";
        $this->displayBlock('title', $context, $blocks);
        echo "</h2>
        ";
        // line 111
        if (array_key_exists("query", $context)) {
            // line 112
            echo "        <p>
            ";
            // line 113
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("export.period"), "html", null, true);
            echo ":
            ";
            // line 114
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->dateShort(twig_get_attribute($this->env, $this->source, ($context["query"] ?? null), "begin", [], "any", false, false, false, 114)), "html", null, true);
            echo " - ";
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->dateShort(twig_get_attribute($this->env, $this->source, ($context["query"] ?? null), "end", [], "any", false, false, false, 114)), "html", null, true);
            echo "
        </p>
        ";
        }
        // line 117
        echo "        <h3>";
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("export.summary"), "html", null, true);
        echo "</h3>
    ";
    }

    // line 110
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("export.document_title"), "html", null, true);
    }

    // line 260
    public function block_items($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 261
        echo "    ";
        $this->displayBlock('items_header', $context, $blocks);
        // line 264
        echo "
    ";
        // line 265
        $context["duration"] = 0;
        // line 266
        echo "    ";
        $context["rate"] = 0;
        // line 267
        echo "    ";
        $context["rateInternal"] = 0;
        // line 268
        echo "    ";
        $context["currency"] = false;
        // line 269
        echo "    <table class=\"items\">
        <thead>
        <tr>
            <th>";
        // line 272
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.date"), "html", null, true);
        echo "</th>
            ";
        // line 273
        if (($context["showUserColumn"] ?? null)) {
            // line 274
            echo "                <th>";
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.user"), "html", null, true);
            echo "</th>
            ";
        }
        // line 276
        echo "            <th>";
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.description"), "html", null, true);
        echo "</th>
            <th class=\"center\">";
        // line 277
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.duration"), "html", null, true);
        echo "</th>
            ";
        // line 278
        if (($context["showRateColumn"] ?? null)) {
            // line 279
            echo "                ";
            if (($context["showInternalRate"] ?? null)) {
                // line 280
                echo "                    <th class=\"center\">";
                echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.rate_internal"), "html", null, true);
                echo "</th>
                ";
            }
            // line 282
            echo "                <th class=\"center\">";
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("label.rate"), "html", null, true);
            echo "</th>
            ";
        }
        // line 284
        echo "        </tr>
        </thead>
        <tbody>
        ";
        // line 287
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["entries"] ?? null));
        $context['loop'] = [
          'parent' => $context['_parent'],
          'index0' => 0,
          'index'  => 1,
          'first'  => true,
        ];
        if (is_array($context['_seq']) || (is_object($context['_seq']) && $context['_seq'] instanceof \Countable)) {
            $length = count($context['_seq']);
            $context['loop']['revindex0'] = $length - 1;
            $context['loop']['revindex'] = $length;
            $context['loop']['length'] = $length;
            $context['loop']['last'] = 1 === $length;
        }
        foreach ($context['_seq'] as $context["_key"] => $context["entry"]) {
            // line 288
            echo "            <!-- CONTENT_PART -->
            ";
            // line 289
            $context["duration"] = (($context["duration"] ?? null) + twig_get_attribute($this->env, $this->source, $context["entry"], "duration", [], "any", false, false, false, 289));
            // line 290
            echo "            ";
            if ((($context["currency"] ?? null) === false)) {
                // line 291
                echo "                ";
                $context["currency"] = twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["entry"], "project", [], "any", false, false, false, 291), "customer", [], "any", false, false, false, 291), "currency", [], "any", false, false, false, 291);
                // line 292
                echo "            ";
            }
            // line 293
            echo "            ";
            if ( !(($context["currency"] ?? null) === twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["entry"], "project", [], "any", false, false, false, 293), "customer", [], "any", false, false, false, 293), "currency", [], "any", false, false, false, 293))) {
                // line 294
                echo "                ";
                $context["currency"] = null;
                // line 295
                echo "            ";
            }
            // line 296
            echo "            <tr class=\"";
            echo twig_escape_filter($this->env, twig_cycle([0 => "odd", 1 => "even"], twig_get_attribute($this->env, $this->source, $context["loop"], "index0", [], "any", false, false, false, 296)), "html", null, true);
            echo "\">
                <td class=\"text-nowrap\">
                    ";
            // line 298
            $this->displayBlock('date_begin', $context, $blocks);
            // line 299
            echo "                    ";
            if (twig_get_attribute($this->env, $this->source, $context["entry"], "end", [], "any", false, false, false, 299)) {
                // line 300
                echo "                        ";
                $this->displayBlock('date_end', $context, $blocks);
                // line 301
                echo "                    ";
            }
            // line 302
            echo "                </td>
                ";
            // line 303
            if (($context["showUserColumn"] ?? null)) {
                // line 304
                echo "                    <td>";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["entry"], "user", [], "any", false, false, false, 304), "displayName", [], "any", false, false, false, 304), "html", null, true);
                echo " ";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["entry"], "user", [], "any", false, false, false, 304), "title", [], "any", false, false, false, 304), "html", null, true);
                echo "</td>
                ";
            }
            // line 306
            echo "                <td>
                    ";
            // line 307
            $this->displayBlock('description', $context, $blocks);
            // line 314
            echo "                </td>
                <td class=\"duration\">";
            // line 315
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->duration(twig_get_attribute($this->env, $this->source, $context["entry"], "duration", [], "any", false, false, false, 315), ($context["decimal"] ?? null)), "html", null, true);
            echo "</td>
                ";
            // line 316
            if (($context["showRateColumn"] ?? null)) {
                // line 317
                echo "                    ";
                // line 319
                echo "                    ";
                $context["rate"] = (($context["rate"] ?? null) + twig_get_attribute($this->env, $this->source, $context["entry"], "rate", [], "any", false, false, false, 319));
                // line 320
                echo "                    ";
                $context["rateInternal"] = (($context["rateInternal"] ?? null) + twig_get_attribute($this->env, $this->source, $context["entry"], "internalRate", [], "any", false, false, false, 320));
                // line 321
                echo "                    ";
                $context["entryRate"] = $this->extensions['App\Twig\LocaleFormatExtensions']->money(twig_get_attribute($this->env, $this->source, $context["entry"], "rate", [], "any", false, false, false, 321), twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["entry"], "project", [], "any", false, false, false, 321), "customer", [], "any", false, false, false, 321), "currency", [], "any", false, false, false, 321));
                // line 322
                echo "                    ";
                $context["entryRateInternal"] = $this->extensions['App\Twig\LocaleFormatExtensions']->money(twig_get_attribute($this->env, $this->source, $context["entry"], "internalRate", [], "any", false, false, false, 322), twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, $context["entry"], "project", [], "any", false, false, false, 322), "customer", [], "any", false, false, false, 322), "currency", [], "any", false, false, false, 322));
                // line 323
                echo "                    ";
                if (($context["showInternalRate"] ?? null)) {
                    // line 324
                    echo "                        <td class=\"cost\">";
                    echo twig_escape_filter($this->env, ($context["entryRateInternal"] ?? null), "html", null, true);
                    echo "</td>
                    ";
                }
                // line 326
                echo "                    <td class=\"cost\">";
                echo twig_escape_filter($this->env, ($context["entryRate"] ?? null), "html", null, true);
                echo "</td>
                ";
            }
            // line 328
            echo "            </tr>
        ";
            ++$context['loop']['index0'];
            ++$context['loop']['index'];
            $context['loop']['first'] = false;
            if (isset($context['loop']['length'])) {
                --$context['loop']['revindex0'];
                --$context['loop']['revindex'];
                $context['loop']['last'] = 0 === $context['loop']['revindex0'];
            }
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['entry'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 330
        echo "        <tr class=\"summary\">
            ";
        // line 331
        if (($context["showUserColumn"] ?? null)) {
            // line 332
            echo "                <td colspan=\"3\">";
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("sum.total"), "html", null, true);
            echo "</td>
            ";
        } else {
            // line 334
            echo "                <td colspan=\"2\">";
            echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("sum.total"), "html", null, true);
            echo "</td>
            ";
        }
        // line 336
        echo "            <td class=\"totals duration\">";
        echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->duration(($context["duration"] ?? null), ($context["decimal"] ?? null)), "html", null, true);
        echo "</td>
            ";
        // line 337
        if (($context["showRateColumn"] ?? null)) {
            // line 338
            echo "                ";
            if (($context["showInternalRate"] ?? null)) {
                // line 339
                echo "                    <td class=\"totals cost\">";
                if ( !(null === ($context["currency"] ?? null))) {
                    echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(($context["rateInternal"] ?? null), ($context["currency"] ?? null)), "html", null, true);
                }
                echo "</td>
                ";
            }
            // line 341
            echo "                <td class=\"totals cost\">";
            if ( !(null === ($context["currency"] ?? null))) {
                echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->money(($context["rate"] ?? null), ($context["currency"] ?? null)), "html", null, true);
            }
            echo "</td>
            ";
        }
        // line 343
        echo "        </tr>
        </tbody>
    </table>
";
    }

    // line 261
    public function block_items_header($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 262
        echo "        <h3>";
        echo twig_escape_filter($this->env, $this->extensions['Symfony\Bridge\Twig\Extension\TranslationExtension']->trans("export.full_list"), "html", null, true);
        echo "</h3>
    ";
    }

    // line 298
    public function block_date_begin($context, array $blocks = [])
    {
        $macros = $this->macros;
        if ( !($context["showDateTimeShort"] ?? null)) {
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->dateTime(twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "begin", [], "any", false, false, false, 298)), "html", null, true);
        } else {
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->dateShort(twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "begin", [], "any", false, false, false, 298)), "html", null, true);
        }
    }

    // line 300
    public function block_date_end($context, array $blocks = [])
    {
        $macros = $this->macros;
        if ( !($context["showDateTimeShort"] ?? null)) {
            echo "<br>";
            echo twig_escape_filter($this->env, $this->extensions['App\Twig\LocaleFormatExtensions']->dateTime(twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "end", [], "any", false, false, false, 300)), "html", null, true);
        }
    }

    // line 307
    public function block_description($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 308
        echo "                        ";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "project", [], "any", false, false, false, 308), "customer", [], "any", false, false, false, 308), "name", [], "any", false, false, false, 308), "html", null, true);
        echo " - ";
        echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "project", [], "any", false, false, false, 308), "name", [], "any", false, false, false, 308), "html", null, true);
        if ( !(null === twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "activity", [], "any", false, false, false, 308))) {
            echo " - ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "activity", [], "any", false, false, false, 308), "name", [], "any", false, false, false, 308), "html", null, true);
        }
        // line 309
        echo "                        ";
        if ( !twig_test_empty(twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "description", [], "any", false, false, false, 309))) {
            // line 310
            echo "                            <br>
                            <i>";
            // line 311
            echo $this->env->getRuntime('App\Twig\Runtime\MarkdownExtension')->timesheetContent(twig_get_attribute($this->env, $this->source, ($context["entry"] ?? null), "description", [], "any", false, false, false, 311));
            echo "</i>
                        ";
        }
        // line 313
        echo "                    ";
    }

    // line 347
    public function block_body_end($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    public function getTemplateName()
    {
        return "export/pdf-layout.html.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  984 => 347,  980 => 313,  975 => 311,  972 => 310,  969 => 309,  960 => 308,  956 => 307,  946 => 300,  935 => 298,  928 => 262,  924 => 261,  917 => 343,  909 => 341,  901 => 339,  898 => 338,  896 => 337,  891 => 336,  885 => 334,  879 => 332,  877 => 331,  874 => 330,  859 => 328,  853 => 326,  847 => 324,  844 => 323,  841 => 322,  838 => 321,  835 => 320,  832 => 319,  830 => 317,  828 => 316,  824 => 315,  821 => 314,  819 => 307,  816 => 306,  808 => 304,  806 => 303,  803 => 302,  800 => 301,  797 => 300,  794 => 299,  792 => 298,  786 => 296,  783 => 295,  780 => 294,  777 => 293,  774 => 292,  771 => 291,  768 => 290,  766 => 289,  763 => 288,  746 => 287,  741 => 284,  735 => 282,  729 => 280,  726 => 279,  724 => 278,  720 => 277,  715 => 276,  709 => 274,  707 => 273,  703 => 272,  698 => 269,  695 => 268,  692 => 267,  689 => 266,  687 => 265,  684 => 264,  681 => 261,  677 => 260,  670 => 110,  663 => 117,  655 => 114,  651 => 113,  648 => 112,  646 => 111,  641 => 110,  637 => 109,  629 => 255,  625 => 253,  619 => 251,  613 => 249,  610 => 248,  608 => 247,  603 => 246,  599 => 244,  596 => 243,  592 => 241,  590 => 240,  585 => 238,  575 => 236,  572 => 235,  568 => 233,  562 => 231,  556 => 229,  553 => 228,  551 => 227,  546 => 226,  542 => 224,  539 => 223,  535 => 221,  533 => 220,  529 => 218,  526 => 217,  520 => 216,  517 => 215,  514 => 214,  511 => 213,  509 => 212,  506 => 211,  500 => 209,  494 => 207,  491 => 206,  489 => 205,  484 => 204,  480 => 202,  474 => 200,  472 => 199,  469 => 198,  466 => 197,  462 => 195,  456 => 193,  454 => 192,  451 => 191,  449 => 190,  445 => 189,  441 => 188,  436 => 187,  433 => 186,  430 => 185,  427 => 184,  424 => 183,  421 => 182,  418 => 181,  416 => 180,  413 => 179,  407 => 177,  401 => 175,  398 => 174,  396 => 173,  391 => 172,  387 => 170,  384 => 169,  380 => 167,  378 => 166,  373 => 163,  370 => 162,  367 => 161,  364 => 160,  361 => 159,  358 => 158,  355 => 157,  352 => 156,  349 => 155,  346 => 154,  343 => 153,  341 => 152,  338 => 151,  333 => 150,  330 => 149,  327 => 148,  324 => 147,  321 => 146,  318 => 145,  315 => 144,  312 => 143,  309 => 142,  306 => 141,  304 => 140,  299 => 137,  293 => 135,  287 => 133,  284 => 132,  282 => 131,  277 => 130,  271 => 128,  268 => 127,  262 => 125,  260 => 124,  253 => 119,  250 => 109,  246 => 108,  240 => 107,  230 => 100,  224 => 98,  216 => 96,  213 => 95,  211 => 94,  207 => 92,  198 => 90,  195 => 89,  193 => 88,  189 => 87,  182 => 82,  178 => 81,  116 => 20,  112 => 19,  106 => 348,  104 => 347,  102 => 260,  100 => 108,  98 => 107,  96 => 81,  92 => 79,  90 => 19,  80 => 17,  76 => 15,  74 => 14,  71 => 13,  69 => 12,  67 => 10,  65 => 9,  63 => 8,  61 => 7,  59 => 6,  57 => 5,  55 => 4,  53 => 3,  51 => 2,  49 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "export/pdf-layout.html.twig", "/home/tunelsub/public_html/timecontrol/templates/export/pdf-layout.html.twig");
    }
}
